Bug 237204 - rpmlint RFE: warn on usage of %{_libdir} in %files section of noarch packages
rpmlint RFE: warn on usage of %{_libdir} in %files section of noarch packages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-19 19:25 EDT by Chris Weyl
Modified: 2008-06-26 04:30 EDT (History)
0 users

See Also:
Fixed In Version: 0.83-1.fc9
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 04:29:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-04-19 19:25:29 EDT
A noarch package could use %{_libdir} in %files.  Given %{_libdir} will evaluate
differently depending on the architecture of the builder, yet the resulting
noarch rpm can be installed anywhere, unexpected results may occur.

It would be nice if rpmlint would note this, and complain loudly.
Comment 1 Jeff Johnson 2007-04-19 19:34:35 EDT
One way to control for reproducible builds is to setup a noarch-linux/macros file.

That has nothing to do with rpmlint of course.
Comment 2 Chris Weyl 2008-03-17 22:58:23 EDT
Ping? :)
Comment 3 Ville Skyttä 2008-03-18 15:45:05 EDT
Thanks for the heads up, this had fallen through the cracks, sorry.

I'll look into it (probably later this week or the next one), but as always,
patches welcome.
Comment 4 Ville Skyttä 2008-03-24 16:47:47 EDT
Implemented upstream, will be in the next release:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1410

noarch packages' scriptlets should be checked for these dirs too, BTW (TODO
added in rpmlint source).
Comment 5 Jon Stanley 2008-04-23 16:29:11 EDT
Adding FutureFeature keyword to RFE's.
Comment 6 Fedora Update System 2008-06-09 14:33:07 EDT
rpmlint-0.83-1.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-06-09 14:35:00 EDT
rpmlint-0.83-1.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-06-11 00:34:18 EDT
rpmlint-0.83-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5185
Comment 9 Fedora Update System 2008-06-26 04:29:38 EDT
rpmlint-0.83-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-06-26 04:30:39 EDT
rpmlint-0.83-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.